Bug 21662 - Missing developers from history
Summary: Missing developers from history
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Martin Renvoize
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 22893
  Show dependency treegraph
 
Reported: 2018-10-25 12:59 UTC by Martin Renvoize
Modified: 2019-06-27 09:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
We found that a few developers had been missed and a few others had been duplicated on the history page. This patchset corrects those mistakes and simplifies the process of maintaining our history record.


Attachments
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2018-10-29 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (105.82 KB, patch)
2018-10-29 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (23.36 KB, patch)
2018-10-29 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
get_developer.pl (9.29 KB, application/x-perl)
2018-10-29 10:10 UTC, Martin Renvoize
Details
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2018-11-15 16:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (106.14 KB, patch)
2018-11-15 16:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (23.36 KB, patch)
2018-11-15 16:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2019-04-11 13:00 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (107.88 KB, patch)
2019-04-11 13:00 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (32.70 KB, patch)
2019-04-11 13:00 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (23.25 KB, patch)
2019-04-11 13:00 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.29 KB, patch)
2019-04-16 19:25 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21662: Update history.txt (107.98 KB, patch)
2019-04-16 19:25 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (32.80 KB, patch)
2019-04-16 19:25 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (23.36 KB, patch)
2019-04-16 19:25 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2019-04-23 13:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (108.07 KB, patch)
2019-04-23 13:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (35.02 KB, patch)
2019-04-23 13:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (24.90 KB, patch)
2019-04-23 13:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
After (166.35 KB, image/png)
2019-04-23 14:07 UTC, Martin Renvoize
Details
Before (193.25 KB, image/png)
2019-04-23 14:07 UTC, Martin Renvoize
Details
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2019-04-26 10:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (108.08 KB, patch)
2019-04-26 10:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (34.88 KB, patch)
2019-04-26 10:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (24.90 KB, patch)
2019-04-26 10:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Other history correction (1.09 KB, patch)
2019-04-26 10:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2019-04-26 11:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (108.08 KB, patch)
2019-04-26 11:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (34.97 KB, patch)
2019-04-26 11:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (24.90 KB, patch)
2019-04-26 11:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Other history correction (1.09 KB, patch)
2019-04-26 11:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2019-05-01 12:06 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (108.08 KB, patch)
2019-05-01 12:06 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (34.98 KB, patch)
2019-05-01 12:06 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (24.91 KB, patch)
2019-05-01 12:06 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Other history correction (1.09 KB, patch)
2019-05-01 12:06 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2019-05-02 07:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (108.08 KB, patch)
2019-05-02 07:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (34.98 KB, patch)
2019-05-02 07:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (24.91 KB, patch)
2019-05-02 07:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Other history correction (1.09 KB, patch)
2019-05-02 07:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: (follow-up) Drop YAML::XS, use YAML (785 bytes, patch)
2019-05-02 07:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: (follow-up) Embelish contributor details (5.26 KB, patch)
2019-05-02 07:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.18 KB, patch)
2019-05-02 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Update history.txt (108.08 KB, patch)
2019-05-02 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (34.98 KB, patch)
2019-05-02 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (24.92 KB, patch)
2019-05-02 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Other history correction (1.09 KB, patch)
2019-05-02 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: (follow-up) Drop YAML::XS, use YAML (785 bytes, patch)
2019-05-02 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: (follow-up) Embelish contributor details (5.26 KB, patch)
2019-05-02 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: (follow-up) Corrections to YAMP for incompatible format (22.62 KB, patch)
2019-05-02 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.23 KB, patch)
2019-05-03 09:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: Update history.txt (108.12 KB, patch)
2019-05-03 09:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: Make history.txt whitespace consistent (72.29 KB, patch)
2019-05-03 09:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: Update history.txt (108.18 KB, patch)
2019-05-03 09:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: Add Contributors.yaml file (35.08 KB, patch)
2019-05-03 09:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: Use contributors.yaml for contributors list (25.02 KB, patch)
2019-05-03 09:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: Other history correction (1.18 KB, patch)
2019-05-03 09:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: (follow-up) Drop YAML::XS, use YAML (883 bytes, patch)
2019-05-03 09:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: (follow-up) Embelish contributor details (5.36 KB, patch)
2019-05-03 09:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: (follow-up) Corrections to YAMP for incompatible format (22.72 KB, patch)
2019-05-03 09:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: (QA follow-up) Minor corrections (4.29 KB, patch)
2019-05-03 09:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21662: (QA follow-up) Be consistent between history and contributors (1.30 KB, patch)
2019-05-03 09:51 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: (QA follow-up) Be consistent between history and contributors (1.72 KB, patch)
2019-05-03 09:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
fix bug in get_developers.pl (1.31 KB, text/plain)
2019-05-11 16:14 UTC, Jonathan Druart
Details
Bug 21662: (QA follow-up) Use commitdates over RM dates (137.17 KB, patch)
2019-05-17 13:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21662: (QA follow-up) Use commitdates over RM dates (135.33 KB, patch)
2019-05-17 15:32 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-10-25 12:59:54 UTC
I've been doing some git digging (a lunchtime project inspired by bug 20720) and found that there's a fair number of contributors missing from the history tab.
Comment 1 Martin Renvoize 2018-10-29 09:38:12 UTC
Created attachment 81466 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 2 Martin Renvoize 2018-10-29 09:38:15 UTC
Created attachment 81467 [details] [review]
Bug 21662: Update history.txt
Comment 3 Martin Renvoize 2018-10-29 09:38:18 UTC
Created attachment 81468 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 4 Martin Renvoize 2018-10-29 09:49:07 UTC
The first patch tries to clean up leading and trailing whitespace from each tab-delimited column. Katrin pointed out this may be a problem for the website?

The second patch makes the actual changes to the history.txt file.. there's a lot of noise in that patch as it's required to renumber commiters.. I've extracted the 'important' lines below for review:

Missing Developers
+1059703830     August  1 2003  Rachel Hamilton-Williams becomes the 29th committer to Koha     developer
+1252258885     September  6 2009       Jean-andré Santoni becomes the 99th committer to Koha   developer
+1254303027     September 30 2009       John Soros becomes the 100th committer to Koha  developer
+1296281924     January 29 2011 David Schuster becomes the 138th developer to have a patch pushed       developer
+1342191932     July 13 2012    Wajasu becomes the 195th developer to have a patch pushed       developer
+1359650663     January 31 2013 Ed Veal becomes the 209th developer to have a patch pushed      developer
+1390496638     January 23 2014 Jatara Barnes becomes the 253rd developer to have a patch pushed        developer
+1394549843     March 11 2014   Nicholas Van Oudtshoorn becomes the 255th developer to have a patch pushed      developer
+1421282617     January 15 2015 शंतनू becomes the 287th developer to have a patch pushed  developer
+1421588456     January 18 2015 Thomas Misilo becomes the 288th developer to have a patch pushed        developer
+1429539894     April 20 2015   Winona Salesky becomes the 292nd developer to have a patch pushed       developer
+1445522767     October 22 2015 Ahmed becomes the 304th developer to have a patch pushed        developer
+1461932425     April 29 2016   Bouzid Fergani becomes the 313th developer to have a patch pushed       developer
+1535127807     August 24 2018  Maryse Simard becomes the 381st developer to have a patch pushed        developer


Fixed Developers
+1117720067     June  2 2005    Gavin McCullagh becomes the 36th committer to Koha      developer (Change from Gavin ??)
+1289527356     November 12 2010        Chris Hall becomes the 125th committer to have a patch accepted developer (moved from 136th)


Removed Developers
-1211068800     May 18 2008     Koha production??? becomes the 62nd committer to Koha   developer (not exactly meaningful)
-1479895944     November 23 2016        Petter Goksøyr Åsen becomes the 314th developer to have a patch pushed  developer (was listed twice)
-1519060391     February 19 2018        Pongtawat Chippimolchai becomes the 358th developer to have a patch pushed      developer (was listed twice as pongtawat and Pongtawat Chippimolchai)


Left as is, but questionable
-1453075201     January 18 2016 Natasha ?? becomes the 295th developer to have a patch pushed   developer (Any advances on ??)

I've extracted this data from a mixture of git and the existing history.txt file.  Git wise I used `git -c i18n.logOutputEncoding=UTF-8 log --pretty=format:"%ct, %an, %ae"` to grab every commit, ensuring utf8 encoding, with it's commite time (not the authored time, it made sense to order by when the patch was accepted rather than authored, the author name and author email.

I'll post the script i wrote to help me disambgaute between names.
Comment 5 Martin Renvoize 2018-10-29 10:10:28 UTC
Created attachment 81469 [details]
get_developer.pl

As promised.. here's the script I contrived to create the attached history.txt patch.

I intend to work a lot of it into the release-tools (and remove all the hard-coded file paths etc) to allow for simpler maintenance of these files at release time.
Comment 6 Martin Renvoize 2018-10-29 10:46:17 UTC
Anyone in the know, know how https://koha-community.org/about/history/ is generated?
Comment 7 Jonathan Druart 2018-10-31 15:32:31 UTC
You will want to update about.tt as well
Comment 8 Jonathan Druart 2018-10-31 15:35:49 UTC
(In reply to Martin Renvoize from comment #6)
> Anyone in the know, know how https://koha-community.org/about/history/ is
> generated?

Last update is from August 18, 2016, so I guess there is a script updating the content automatically. I guess Chris or Liz know.
Comment 9 Liz Rea 2018-11-01 02:37:42 UTC
That's right, that page is updated daily from Master.

I've fixed the encoding - the database had been installed in latin1, it's now UTF8.

Cheers,
Liz
Comment 10 Martin Renvoize 2018-11-01 07:38:57 UTC
Excellent, thanks Liz
Comment 11 Martin Renvoize 2018-11-15 16:24:40 UTC
Created attachment 82367 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 12 Martin Renvoize 2018-11-15 16:24:45 UTC
Created attachment 82368 [details] [review]
Bug 21662: Update history.txt
Comment 13 Martin Renvoize 2018-11-15 16:24:49 UTC
Created attachment 82369 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 14 Martin Renvoize 2019-04-11 13:00:02 UTC
Created attachment 87759 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 15 Martin Renvoize 2019-04-11 13:00:07 UTC
Created attachment 87760 [details] [review]
Bug 21662: Update history.txt
Comment 16 Martin Renvoize 2019-04-11 13:00:10 UTC
Created attachment 87761 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 17 Martin Renvoize 2019-04-11 13:00:13 UTC
Created attachment 87762 [details] [review]
Bug 21662: Use contributors.yaml for contributors list
Comment 18 Michal Denar 2019-04-14 19:07:26 UTC
Hi Martin and Liz,
any test for this patch? On Abou tpage Is till see Natasha ?? or Andy??. Is it correct?

Thank you.
Comment 19 Martin Renvoize 2019-04-16 11:48:21 UTC
Indeed, those two are early contributors I haven't yet been able to narrow down further.. It's in my to do list to try and see if Chris has any idea's on how I might be able to narrow them down further and give proper attribution to them.

Test plan wise it's really a case of comparing side by side the results of these patches against an about page without them.. we should not be missing anyone from the original and have a few new additions on the patched version.. Also, the committer numbers have been re-ordered slightly where I've had to slip an extra missed contributor into the order.

The other side of this is the get_developers.pl script.  If you have a clone of the release_tools you can run this script using the dev_map file available within it and check the results match.. but I think that's perhaps out of scope for this particular bug.. my intention is to fold the functionality of that script into the release_tools so as part of the release process we're automatically maintaining this list.
Comment 20 Michal Denar 2019-04-16 19:25:21 UTC
Created attachment 88098 [details] [review]
Bug 21662: Make history.txt whitespace consistent

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 21 Michal Denar 2019-04-16 19:25:24 UTC
Created attachment 88099 [details] [review]
Bug 21662: Update history.txt

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 22 Michal Denar 2019-04-16 19:25:27 UTC
Created attachment 88100 [details] [review]
Bug 21662: Add Contributors.yaml file

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 23 Michal Denar 2019-04-16 19:25:30 UTC
Created attachment 88101 [details] [review]
Bug 21662: Use contributors.yaml for contributors list

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 24 Martin Renvoize 2019-04-16 19:34:00 UTC
Thanks for the signoff, it'll be nice to get this workflow running.. I love automating things like this as much as possible.. save us devs adding human error into the mix.
Comment 25 Katrin Fischer 2019-04-16 21:36:08 UTC
I am almost happy here, but for some things:

This doesn't look as nice as it should - I think we need to translate the codes into something nice and translatable:

    documentation_team (17.11)
    maintainer (17.05 17.11)
    qa (3.16 3.18 3.20 3.22 3.24 16.05)
    qa_manager (16.11 18.05 18.11 19.05)

It's also not quite right...

(3.12 - 16.11 QA Manager, 16.11 Release Maintainer, 17.11 Documentation Team Member, 18.05 QA Manager)

Feeling a little odd to point out :)

I am suggesting this change too:

-1252258885     September  6 2009       Jean-andré Santoni becomes the 99th committer to Koha   developer
+1252258885     September  6 2009       Jean-André Santoni becomes the 99th committer to Koha   developer

Failed for the first.
Comment 26 Martin Renvoize 2019-04-23 13:46:55 UTC
Created attachment 88479 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 27 Martin Renvoize 2019-04-23 13:46:58 UTC
Created attachment 88480 [details] [review]
Bug 21662: Update history.txt
Comment 28 Martin Renvoize 2019-04-23 13:47:02 UTC
Created attachment 88481 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 29 Martin Renvoize 2019-04-23 13:47:05 UTC
Created attachment 88482 [details] [review]
Bug 21662: Use contributors.yaml for contributors list
Comment 30 Martin Renvoize 2019-04-23 13:48:38 UTC
I think I've resolved all issue now.. back to NQA Katrin.
Comment 31 Martin Renvoize 2019-04-23 14:07:38 UTC
Created attachment 88485 [details]
After
Comment 32 Martin Renvoize 2019-04-23 14:07:53 UTC
Created attachment 88486 [details]
Before
Comment 33 Martin Renvoize 2019-04-23 14:09:46 UTC
I wonder if Owen has any hints/tips regarding the slightly modified look of the 'Koha Development Team' section (I've attached before and after screenshots)..

I've run aground at displaying the extra information given to us regarding team role breakdown for each contributor.

Also.. there's still a couple of '???' contributors in there.. I'd love to get Chris's thoughts on those people.
Comment 34 Katrin Fischer 2019-04-23 21:43:11 UTC
Some small stuff:
- Bugwrangler => Bug wrangler
- Maybe add punctuation between versions?
- Some of the roles are still not quite right, but were before. Maybe this is not the latest version? :(
- Some additional fix to smuggle into history.txt: Rachel Hamilton-Willams of Katipo sends access to the katipo cma to edit the new koha.org site => ... Katipo CMS ...


I generally like the more structured display of information :)
Comment 35 Chris Cormack 2019-04-23 21:43:51 UTC
Natasha was an Academy student who didn't want to use her last name. 
So can we make that just Natasha.

(I do know, who it is but respect their wish for privacy)
Comment 36 Chris Cormack 2019-04-23 21:49:40 UTC
So Andy is kb2qzv

Which leads to 
https://sourceforge.net/u/kb2qzv/wiki/Home/

But I am 99% sure it is actually Benedict

https://www.postgresql.org/message-id/20000509083006Z72802-9734%2B1003%40priv0.onet.pl

Who was doing tons of work on Koha at that time
https://lists.gnu.org/archive/html/koha-cvs/2004-04/msg00060.html
Comment 37 Martin Renvoize 2019-04-26 06:31:25 UTC
Awesome, thanks for the clarifications Chris 😊, I've really enjoyed doing this patch, learning a little bit more about kohas' history and all the great people who have been part of it.

I'll give this patch another update with this new info and taking Katrins suggestions into account too.
Comment 38 Martin Renvoize 2019-04-26 10:16:11 UTC
Created attachment 88869 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 39 Martin Renvoize 2019-04-26 10:16:14 UTC
Created attachment 88870 [details] [review]
Bug 21662: Update history.txt
Comment 40 Martin Renvoize 2019-04-26 10:16:18 UTC
Created attachment 88871 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 41 Martin Renvoize 2019-04-26 10:16:21 UTC
Created attachment 88872 [details] [review]
Bug 21662: Use contributors.yaml for contributors list
Comment 42 Martin Renvoize 2019-04-26 10:16:24 UTC
Created attachment 88873 [details] [review]
Bug 21662: Other history correction
Comment 43 Martin Renvoize 2019-04-26 10:17:43 UTC
Hows this Katrin?
Comment 44 Martin Renvoize 2019-04-26 11:41:30 UTC
Created attachment 88898 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 45 Martin Renvoize 2019-04-26 11:41:34 UTC
Created attachment 88899 [details] [review]
Bug 21662: Update history.txt
Comment 46 Martin Renvoize 2019-04-26 11:41:37 UTC
Created attachment 88900 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 47 Martin Renvoize 2019-04-26 11:41:41 UTC
Created attachment 88901 [details] [review]
Bug 21662: Use contributors.yaml for contributors list
Comment 48 Martin Renvoize 2019-04-26 11:41:44 UTC
Created attachment 88902 [details] [review]
Bug 21662: Other history correction
Comment 49 Martin Renvoize 2019-04-26 11:42:45 UTC
That last update removes all the 'Contributions Unknown' lines I'd inadvertently added as notes for myself to revisit later.

One day I'd love to dig further into the history to understand what these people have done but I think that can be for another bug.
Comment 50 Katrin Fischer 2019-04-27 14:40:55 UTC
The QA script has some complaints:

 FAIL	docs/contributors.yaml
   OK	  git manipulation
   FAIL	  yaml_valid
		YAML Error: Invalid element in map

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/about.tt
   FAIL	  filters
		missing_filter at line 828 (    [% FOREACH r IN p.roles %]<li>[% INCLUDE role role=r %] ([% r.value.join(', ') %])</li>[% END %])
Comment 51 Katrin Fischer 2019-04-27 15:00:07 UTC
Looks good in the GUI!

Looking at the YAML file I notice a big discrepancy in numbers to what we have on our git repository:
http://git.koha-community.org/stats/koha-master/authors.html

I think we don't use the numbers yet, so no blocker. But can you tell why?

Some entries don't have a commits counter, like Marco Gaiarin: {}

I believe the double names don't have the right capitalization in some cases:

Pierre-marc => Pierre-Marc
Jose-mario => Jose-Mario
Pierre-luc => Pierre-Luc
Comment 52 Martin Renvoize 2019-05-01 12:06:00 UTC
Created attachment 89180 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 53 Martin Renvoize 2019-05-01 12:06:04 UTC
Created attachment 89181 [details] [review]
Bug 21662: Update history.txt
Comment 54 Martin Renvoize 2019-05-01 12:06:07 UTC
Created attachment 89182 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 55 Martin Renvoize 2019-05-01 12:06:10 UTC
Created attachment 89183 [details] [review]
Bug 21662: Use contributors.yaml for contributors list
Comment 56 Martin Renvoize 2019-05-01 12:06:14 UTC
Created attachment 89184 [details] [review]
Bug 21662: Other history correction
Comment 57 Martin Renvoize 2019-05-01 12:09:27 UTC
Indeed.. after our chat on IRC I'm not entirely sure why the commit numbers don't add up.. I'll investigate that in a followup bug as suggested.. as you say, they're not displayed yet anyway.

Capitalisation fixes done.
Comment 58 Marcel de Rooy 2019-05-01 12:23:24 UTC
QA: Looking here
Comment 59 Marcel de Rooy 2019-05-01 12:28:31 UTC
Yeah the number of commits in the yaml file is not correct
Comment 60 Marcel de Rooy 2019-05-01 12:32:07 UTC
Could not compile /usr/share/koha/about.pl: Can't locate YAML/XS.pm in @INC
Comment 61 Martin Renvoize 2019-05-02 07:49:24 UTC
Created attachment 89199 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 62 Martin Renvoize 2019-05-02 07:49:28 UTC
Created attachment 89200 [details] [review]
Bug 21662: Update history.txt
Comment 63 Martin Renvoize 2019-05-02 07:49:32 UTC
Created attachment 89201 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 64 Martin Renvoize 2019-05-02 07:49:35 UTC
Created attachment 89202 [details] [review]
Bug 21662: Use contributors.yaml for contributors list
Comment 65 Martin Renvoize 2019-05-02 07:49:39 UTC
Created attachment 89203 [details] [review]
Bug 21662: Other history correction
Comment 66 Martin Renvoize 2019-05-02 07:49:42 UTC
Created attachment 89204 [details] [review]
Bug 21662: (follow-up) Drop YAML::XS, use YAML

I mistakenly left us using YAML::XS when we don't already depend upon
it. YAML is a sufficent alternative that we do already require.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 67 Martin Renvoize 2019-05-02 07:49:45 UTC
Created attachment 89205 [details] [review]
Bug 21662: (follow-up) Embelish contributor details

Add details to the 'non-commiters' in the contributors list. Information
gratefully recieved from Chris Cormack

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 68 Martin Renvoize 2019-05-02 09:46:16 UTC
Created attachment 89208 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 69 Martin Renvoize 2019-05-02 09:46:20 UTC
Created attachment 89209 [details] [review]
Bug 21662: Update history.txt
Comment 70 Martin Renvoize 2019-05-02 09:46:24 UTC
Created attachment 89210 [details] [review]
Bug 21662: Add Contributors.yaml file
Comment 71 Martin Renvoize 2019-05-02 09:46:27 UTC
Created attachment 89211 [details] [review]
Bug 21662: Use contributors.yaml for contributors list
Comment 72 Martin Renvoize 2019-05-02 09:46:31 UTC
Created attachment 89212 [details] [review]
Bug 21662: Other history correction
Comment 73 Martin Renvoize 2019-05-02 09:46:34 UTC
Created attachment 89213 [details] [review]
Bug 21662: (follow-up) Drop YAML::XS, use YAML

I mistakenly left us using YAML::XS when we don't already depend upon
it. YAML is a sufficent alternative that we do already require.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 74 Martin Renvoize 2019-05-02 09:46:38 UTC
Created attachment 89214 [details] [review]
Bug 21662: (follow-up) Embelish contributor details

Add details to the 'non-commiters' in the contributors list. Information
gratefully recieved from Chris Cormack

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 75 Martin Renvoize 2019-05-02 09:46:41 UTC
Created attachment 89215 [details] [review]
Bug 21662: (follow-up) Corrections to YAMP for incompatible format

YAML::XS and YAML output incompatible (but both valid) YAML files
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 76 Marcel de Rooy 2019-05-03 06:03:08 UTC
QA: Looking here
Comment 77 Marcel de Rooy 2019-05-03 09:08:56 UTC
Created attachment 89284 [details] [review]
Bug 21662: Make history.txt whitespace consistent
Comment 78 Marcel de Rooy 2019-05-03 09:09:02 UTC
Created attachment 89285 [details] [review]
Bug 21662: Update history.txt
Comment 79 Marcel de Rooy 2019-05-03 09:09:29 UTC
Created attachment 89286 [details] [review]
Bug 21662: Make history.txt whitespace consistent

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 80 Marcel de Rooy 2019-05-03 09:09:34 UTC
Created attachment 89287 [details] [review]
Bug 21662: Update history.txt

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 81 Marcel de Rooy 2019-05-03 09:09:39 UTC
Created attachment 89288 [details] [review]
Bug 21662: Add Contributors.yaml file

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 82 Marcel de Rooy 2019-05-03 09:09:44 UTC
Created attachment 89289 [details] [review]
Bug 21662: Use contributors.yaml for contributors list

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 83 Marcel de Rooy 2019-05-03 09:09:48 UTC
Created attachment 89290 [details] [review]
Bug 21662: Other history correction

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 84 Marcel de Rooy 2019-05-03 09:09:53 UTC
Created attachment 89291 [details] [review]
Bug 21662: (follow-up) Drop YAML::XS, use YAML

I mistakenly left us using YAML::XS when we don't already depend upon
it. YAML is a sufficent alternative that we do already require.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 85 Marcel de Rooy 2019-05-03 09:09:57 UTC
Created attachment 89292 [details] [review]
Bug 21662: (follow-up) Embelish contributor details

Add details to the 'non-commiters' in the contributors list. Information
gratefully recieved from Chris Cormack

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 86 Marcel de Rooy 2019-05-03 09:10:02 UTC
Created attachment 89293 [details] [review]
Bug 21662: (follow-up) Corrections to YAMP for incompatible format

YAML::XS and YAML output incompatible (but both valid) YAML files
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 87 Marcel de Rooy 2019-05-03 09:10:07 UTC
Created attachment 89294 [details] [review]
Bug 21662: (QA follow-up) Minor corrections

[1] Move doXulting and Universidad ORT Uruguay to Institutions.
    We do not mention the institution for each developer.
[2] Removing Anonymous.
[3] Adding the Bugzilla alias shantanoo as additional transliterated text.
[4] Resolve typo Continious.
[5] Removing three plural unused roles in about.tt.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 88 Marcel de Rooy 2019-05-03 09:18:52 UTC
QA Comment:
Good job, Martin.
Still some small things to correct in the names probably, but can be done later. And the sort order?
TODO Examples: Koha Instance Knakk-koha, Koha Translators, Polytechnic University Koha Installation, Koha SAB CINECA

For another report: Merging the several thanks sections?

Also I think the attribution for Owen is rather small sized with the note 3.0+ Interface Design, while others have a large list of version numbers. Any idea to bring that a bit more in balance ?
Comment 89 Martin Renvoize 2019-05-03 09:51:52 UTC
Created attachment 89302 [details] [review]
Bug 21662: (QA follow-up) Be consistent between history and contributors

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 90 Martin Renvoize 2019-05-03 09:59:08 UTC
Created attachment 89303 [details] [review]
Bug 21662: (QA follow-up) Be consistent between history and contributors

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 91 Martin Renvoize 2019-05-03 10:07:21 UTC
(In reply to Marcel de Rooy from comment #88)
> QA Comment:
> Good job, Martin.
> Still some small things to correct in the names probably, but can be done
> later. And the sort order?

Oh, I thought the sort order for contributors was good here.. I think we can handle the lists of roles in the followup bug that refactors the teams sections a bit too.

> TODO Examples: Koha Instance Knakk-koha, Koha Translators, Polytechnic
> University Koha Installation, Koha SAB CINECA
> 
> For another report: Merging the several thanks sections?

Yes, I'd love to see that at some point

> 
> Also I think the attribution for Owen is rather small sized with the note
> 3.0+ Interface Design, while others have a large list of version numbers.
> Any idea to bring that a bit more in balance ?

So, the reason Owen isn't mentioned all that well here was that I kept the 'note' he had rather than backdating team roles for him (we all know he's basically be the go to guy for UX advice for years, but the 'Topic Expert - UX' role didn't exist for most of that.  Perhaps we should do it retrospectively in another bug?
Comment 92 Marcel de Rooy 2019-05-03 10:12:59 UTC
(In reply to Martin Renvoize from comment #91)
> So, the reason Owen isn't mentioned all that well here was that I kept the
> 'note' he had rather than backdating team roles for him (we all know he's
> basically be the go to guy for UX advice for years, but the 'Topic Expert -
> UX' role didn't exist for most of that.  Perhaps we should do it
> retrospectively in another bug?

Yes please
Comment 93 Nick Clemens 2019-05-10 17:44:37 UTC
Awesome work all!

Pushed to master for 19.05
Comment 94 Jonathan Druart 2019-05-11 16:07:19 UTC
Martin, the number of commits is wrong because of this line:
 39     $commitref->{ $bits[0] } = { name => $name, email => $email };
bits[0] is the timestamp of the commit. You are assuming it is unique, but it is not. So some commits are lost.
Comment 95 Jonathan Druart 2019-05-11 16:14:56 UTC
Created attachment 89610 [details]
fix bug in get_developers.pl

I also removed all the other parts of the script, I am not able to run it, yaml file is missing from release-tools
Comment 96 Martin Renvoize 2019-05-14 01:38:39 UTC
I've pushed a copy of a marginally cleaned up get_developers.pl script to the release-tools repo (with your fixes inlined).

There's lots of commented out print statements that were used for debugging whilst the script was created.

What I'd like to do next is distil down the logic and merge it into the koha-release script allowing for maintenance of both history and contributors files to be automated at release time.
Comment 97 Martin Renvoize 2019-05-17 13:03:52 UTC
Created attachment 89898 [details] [review]
Bug 21662: (QA follow-up) Use commitdates over RM dates

The manual maintanence of the history.txt file lead to some
discrepancies in first commit dates for many contributors. After a
discussion regarding the automation proccess (and with some of the
contributors who would be most heavily affected) we decided to update
the history file on mass to match the commite dates found in the
repository.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 98 Martin Renvoize 2019-05-17 15:32:33 UTC
Created attachment 89908 [details] [review]
Bug 21662: (QA follow-up) Use commitdates over RM dates

The manual maintanence of the history.txt file lead to some
discrepancies in first commit dates for many contributors. After a
discussion regarding the automation proccess (and with some of the
contributors who would be most heavily affected) we decided to update
the history file on mass to match the commite dates found in the
repository.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 99 Martin Renvoize 2019-05-24 13:15:25 UTC
This turned into somewhat of an architectural enhancement so I am not going to backport it at this time.
Comment 100 Martin Renvoize 2019-05-24 13:17:07 UTC
Final patch still needs pushing I'm afraid nick..
Comment 101 Nick Clemens 2019-05-30 10:33:58 UTC
(In reply to Martin Renvoize from comment #98)
> Created attachment 89908 [details] [review] [review]
> Bug 21662: (QA follow-up) Use commitdates over RM dates
> 
> The manual maintanence of the history.txt file lead to some
> discrepancies in first commit dates for many contributors. After a
> discussion regarding the automation proccess (and with some of the
> contributors who would be most heavily affected) we decided to update
> the history file on mass to match the commite dates found in the
> repository.
> 
> Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Final patch pushed to master for 19.05